UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMHFXReceiver Class Reference

The LBMHFXReceiver object is used to associate an LBMHFX object with an LBMContext. Messages are delivered by each LBMHFXReceiver to the LBMHFX object, which handles dropping duplicates and ordering messages. More...

## Public Member Functions
unsafe List< LBMConfigOption > | dumpAttributeList ()
| Dump receiver configuration options. More...
string | getAttributeValue (string attributeName)
| Returns the value of a receiver-related attribute for this receiver. More...
void | setAttributeValue (string attributeName, string attributeValue)
| Set the value of a receiver-related attribute for this receiver. More...
LBMReceiverStatistics | getStatistics (String source)
| Return the current set of receiver transport statistics for a particular source. More...
LBMReceiverStatistics | getStatistics (int maxStats)
| Return the current set of receiver transport statistics for all sources. More...
void | close ()
| Close this receiver. Call com.latencybusters.lbm.LBMHFXReceiver.close(com.latencybusters.lbm.LBMOperationCompleteCallback, System.Object) to be informed when the delete call has completed. More...
void | close (LBMOperationCompleteCallback cb, object cbArg)
| Close and dispose of this HFXReceiver object. More...

## Detailed Description

The LBMHFXReceiver object is used to associate an LBMHFX object with an LBMContext. Messages are delivered by each LBMHFXReceiver to the LBMHFX object, which handles dropping duplicates and ordering messages.

## Member Function Documentation

void com.latencybusters.lbm.LBMHFXReceiver.close | ( |  | ) |

Close this receiver. Call com.latencybusters.lbm.LBMHFXReceiver.close(com.latencybusters.lbm.LBMOperationCompleteCallback, System.Object) to be informed when the delete call has completed.

Warning: It is not safe to call this method from a context thread callback.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function

void com.latencybusters.lbm.LBMHFXReceiver.close | ( | LBMOperationCompleteCallback | cb,
|  | object | cbArg
| ) |  |

Close and dispose of this HFXReceiver object.

Warning: It is not safe to call this method from a context thread callback.

Parameters

  cb | A callback to be delivered when the delete operation is complete.
  cbArg | A token to be delivered with the callback

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

unsafe List<LBMConfigOption> com.latencybusters.lbm.LBMHFXReceiver.dumpAttributeList | ( |  | ) |

Dump receiver configuration options.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

Returns
  An array of LBMConfigOptions

References com.latencybusters.lbm.LBM.errorMessage(), com.latencybusters.lbm.LBM.errorNumber(), com.latencybusters.lbm.LBMConfigOption.OptionName, com.latencybusters.lbm.LBMConfigOption.Type, and com.latencybusters.lbm.LBMConfigOption.Value.

string com.latencybusters.lbm.LBMHFXReceiver.getAttributeValue | ( | string | attributeName | ) |

Returns the value of a receiver-related attribute for this receiver.

Parameters

  attributeName | Name of the attribute to retrieve

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

Returns
  Value corresponding to the specified attribute name

LBMReceiverStatistics com.latencybusters.lbm.LBMHFXReceiver.getStatistics | ( | String | source | ) |

Return the current set of receiver transport statistics for a particular source.

Parameters

  source | Source string (as returned by LBMMesage source()) that specifies the set of statistics to return.

Exceptions

  com.latencybusters.lbm.LBMException | An error occurred retrieving receiver statistics.

Returns
  LBMReceiverStatistics object containing the statistics corresponding to the specified source.

References com.latencybusters.lbm.LBMReceiverStatistics.refresh(), and com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveReceiverStatistics().

LBMReceiverStatistics com.latencybusters.lbm.LBMHFXReceiver.getStatistics | ( | int | maxStats | ) |

Return the current set of receiver transport statistics for all sources.

Parameters

  maxStats | Maxiumum number of sources

Exceptions

  com.latencybusters.lbm.LBMException | An error occurred retrieving receiver statistics.

Returns
  LBMReceiverStatistics object containing the statistics corresponding to the specified number of sources.

References com.latencybusters.lbm.LBMReceiverStatistics.refresh(), and com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveReceiverStatistics().

void com.latencybusters.lbm.LBMHFXReceiver.setAttributeValue | ( | string | attributeName,
|  | string | attributeValue
| ) |  |

Set the value of a receiver-related attribute for this receiver.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

The documentation for this class was generated from the following file:

- LBMHFXReceiver.cs